Instalar LibreOffice 6 en el IES | Algo de Linux

martes, 27 de febrero de 2018

Instalar LibreOffice 6 en el IES

Acorralado por el problema sufrido el viernes pasado con la actualización de Libreoffice desde el ppa:libreoffice/libreoffice-5-4, decidí iniciar una huída hacia adelante e instalar LibreOffice 6; descargando los paquetes desde la web de LibreOffice y distribuyéndolo a los equipos mediante puppet y pkgsync desde mi repositorio interno. 

El problema fue que los mantenedores de este repositorio actualizaron la versión del paquete de la 5.4.4 a la 5.4.5 y cascó libreoffice en todos los Ubuntu Trusty. Al abrir cualquier archivo, daba error... Y no había vuelta atrás porque:
  • Al añadir una versión, reemplazan directamente la anterior, algo que no me parece buena idea.
  • La versión 5.3 tampoco funcionaba y encima está marcada como EOL.
El inconveniente es que instalar la versión 6 requiere desinstalar la versión previamente instalada. Así que tuve descargar la versión 6  desde la web de LibreOffice, añadirla a mi repositorio interno y escribir un módulo puppet que:
  • Desinstale la versión anterior de LibreOffice.
  • Instale posteriormente la versión 6 de LibreOffice.
  • Coloque un fichero musthave con la lista de paquetes de la versión 6 para garantizar que se mantenga instalada.
  • Coloque un fichero maynothave con la lista de paquetes de la versión anterior para garantizar que no se encuentren instalados.
Siento no compartir el módulo, pero requiere dos cosas: Un repositorio interno de paquetes y la modificación del paquete linex-xubuntu-core que he tenido que retocar para quitar las siguientes dependencias:
  • libreoffice
  • libreoffice-help-es
  • libreoffice-l10n-es
Publicado por primera vez en http://enavas.blogspot.com.es

No hay comentarios: